Retrieve a knowledge store
Retrieves the details of a specific knowledge store.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
Response
The knowledge store has been successfully retrieved.
_id
The unique identifier of the knowledge store.
name
The name of the knowledge store.
description
An optional description of the knowledge store.
ingestion_config
Configuration that controls how content added to this knowledge store is processed.
This field is immutable after creation.
item_count
The number of items in the knowledge store.
created_at
The date and time when the knowledge store was created, in the RFC 3339 format.
updated_at
The date and time when the knowledge store was last updated, in the RFC 3339 format.
metadata
Key-value pairs attached to the knowledge store.
Errors
400
Bad Request Error